org.kie.api.runtime.process

## Class ProcessWorkItemHandlerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.kie.api.runtime.process.ProcessWorkItemHandlerException

- All Implemented Interfaces:
    Serializable

      public class ProcessWorkItemHandlerException
      extends RuntimeException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProcessWorkItemHandlerException.HandlingStrategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessWorkItemHandlerException(String processId, ProcessWorkItemHandlerException.HandlingStrategy strategy, Throwable cause)`
    `ProcessWorkItemHandlerException(String processId, ProcessWorkItemHandlerException.HandlingStrategy strategy, Throwable cause, int retries)`
    `ProcessWorkItemHandlerException(String processId, String strategy, Throwable cause)`
    `ProcessWorkItemHandlerException(String processId, String strategy, Throwable cause, int retries)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProcessId()`
    `int` | `getRetries()`
    `ProcessWorkItemHandlerException.HandlingStrategy` | `getStrategy()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessWorkItemHandlerException

          public ProcessWorkItemHandlerException(String processId,
                                                 String strategy,
                                                 Throwable cause)

    - #### ProcessWorkItemHandlerException

          public ProcessWorkItemHandlerException(String processId,
                                                 String strategy,
                                                 Throwable cause,
                                                 int retries)

    - #### ProcessWorkItemHandlerException

          public ProcessWorkItemHandlerException(String processId,
                                                 ProcessWorkItemHandlerException.HandlingStrategy strategy,
                                                 Throwable cause)

    - #### ProcessWorkItemHandlerException

          public ProcessWorkItemHandlerException(String processId,
                                                 ProcessWorkItemHandlerException.HandlingStrategy strategy,
                                                 Throwable cause,
                                                 int retries)

  - ### Method Detail

    - #### getProcessId

          public String getProcessId()

    - #### getStrategy

          public ProcessWorkItemHandlerException.HandlingStrategy getStrategy()

    - #### getRetries

          public int getRetries()

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.